Summary: SME Server specific trean configuration and templates.
%define name smeserver-trean
Name: %{name}
%define version 0.1
%define release 3.2
Version: %{version}
Release: %{release}%{?dist}
License: GPL
Group: Networking/Daemons
Source: %{name}-%{version}.tar.gz
Patch0: smeserver-trean-0.1-3.templates-custom-remove.patch
Patch1: smeserver-trean-0.1-4.registry_php.patch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildArchitectures: noarch
Requires: imp-h3 >= 4.0
Requires: e-smith-base >= 4.15.1
Requires: e-smith-apache >= 1.1.0-18
Requires: e-smith-lib >= 1.15.1-16
Requires: trean >= 0.1
BuildRequires: e-smith-devtools >= 1.13.1-03
AutoReqProv: no

%changelog
* Wed Mar 28 2007 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-3.2
- Update to trean specific horde registry.php per horde 3.1.4

* Thu Jul 20 2006 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-3.1
- Just bumping the trean number so that installs of tream will be set to enabled
  by default if trean is installed.

* Thu Jul 20 2006 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-3
- Currently skipping patch 0 as no movement has been made on my bug request 1742
- Removed trean templates-custom fragment and moved it to the templates 
  directory which will make trean active when this rpm is installed.

* Tue Jun 22 2006 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-2
- Removed 0.1-1 patch and fixed in source

* Sat Jun 10 2006 John H. Bennett III <bennettj@johnbennettservices.com> 0.1-1
- Removed deprecated calls to esmith:db and esmith:config

* Sun Jun 05 2006 John H. Bennett III <bennettj@johnbennettservices.com> 0.1
- Initial build
- Added the ability to enable or disable trean menu icon from showing up on the
  main webmail screen.  To enable config set trean service MenuArray disabled|enabled
- e-smith-horde still needs to support this feature or manual intervention is
  required.

%description
This package adds necessary templates and configuration items
so that trean will work properly on SME Server 7.x

%prep
%setup

%patch0 -p1
%patch1 -p1

%build
 
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc COPYING"          >> %{name}-%{version}-filelist

%clean 
rm -rf $RPM_BUILD_ROOT

%pre

%preun

%post

%postun

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
